diff options
author | dermoth <dermoth@nagiosplugins.org> | 2012-11-03 22:01:37 (GMT) |
---|---|---|
committer | dermoth <dermoth@nagiosplugins.org> | 2012-11-03 22:04:53 (GMT) |
commit | d51f87cc797cdc34249878e49d19bb2c5a44d0e5 (patch) | |
tree | fbdae1b2e88fc6a4740fb0cfdc6677766a120317 | |
parent | 42a7b3d6d6392a4f1a26090a8dc6de9ae93720f1 (diff) | |
download | monitoring-plugins-d51f87cc797cdc34249878e49d19bb2c5a44d0e5.tar.gz |
Update tools
- fix sfwebcron (tool updating sf developer guidelines)
- remove obsolete snapshot script
-rwxr-xr-x | tools/sfwebcron | 23 | ||||
-rwxr-xr-x | tools/snapshot | 69 |
2 files changed, 12 insertions, 80 deletions
diff --git a/tools/sfwebcron b/tools/sfwebcron index d836a0f..c270cef 100755 --- a/tools/sfwebcron +++ b/tools/sfwebcron | |||
@@ -4,15 +4,16 @@ | |||
4 | # To update the developers-guidelines.html and put in html area | 4 | # To update the developers-guidelines.html and put in html area |
5 | # | 5 | # |
6 | # Install in cron with something like: | 6 | # Install in cron with something like: |
7 | # 47 7 * * * $HOME/bin/sfwebcron | 7 | # 47 7 * * * $HOME/bin/sfwebcron >/tmp/sfwebcron.log 2>&1 || cat /tmp/sfwebcron.log |
8 | 8 | ||
9 | function die { echo $1; exit 1; } | 9 | set -eu |
10 | trap 'echo "Command failed at line $LINENO"' ERR | ||
10 | 11 | ||
11 | # Set working variables | 12 | # Set working variables |
12 | PROJECT=nagiosplug | 13 | PROJECT=nagiosplug |
13 | IN=${HOME}/tmp_sfwebcron | 14 | IN=${HOME}/sfwebcron |
14 | OUT_SERVER="tonvoon@shell.sf.net" | 15 | OUT_SERVER="tonvoon@frs.sourceforge.net" |
15 | OUT="/home/groups/n/na/nagiosplug/htdocs" | 16 | OUT_PATH="/home/groups/n/na/nagiosplug/htdocs" |
16 | 17 | ||
17 | if [[ ! -e developer-guidelines.html.last ]] ; then | 18 | if [[ ! -e developer-guidelines.html.last ]] ; then |
18 | touch developer-guidelines.html.last | 19 | touch developer-guidelines.html.last |
@@ -21,15 +22,15 @@ fi | |||
21 | # Get latest dev guildelines | 22 | # Get latest dev guildelines |
22 | [[ ! -d $IN ]] && mkdir $IN | 23 | [[ ! -d $IN ]] && mkdir $IN |
23 | cd $IN | 24 | cd $IN |
24 | if [[ ! -d doc ]] ; then | 25 | if [[ ! -d nagios-plugins ]] ; then |
25 | #cvs -z3 -d:pserver:anonymous@cvs1:/cvsroot/nagiosplug co nagiosplug || die "Cannot cvs" | 26 | git clone https://github.com/nagios-plugins/nagios-plugins.git nagios-plugins |
26 | svn checkout http://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk/doc doc | ||
27 | fi | 27 | fi |
28 | cd doc | 28 | cd nagios-plugins/doc |
29 | svn update | 29 | git pull |
30 | 30 | ||
31 | make | 31 | make |
32 | if [[ developer-guidelines.html -nt developer-guidelines.html.last ]] ; then | 32 | if [[ developer-guidelines.html -nt developer-guidelines.html.last ]] ; then |
33 | scp developer-guidelines.{html,sgml} $OUT_SERVER:$OUT | 33 | rsync -av developer-guidelines.{html,sgml} $OUT_SERVER:$OUT_PATH/ |
34 | touch developer-guidelines.html.last | 34 | touch developer-guidelines.html.last |
35 | fi | 35 | fi |
36 | |||
diff --git a/tools/snapshot b/tools/snapshot deleted file mode 100755 index 9fa61cf..0000000 --- a/tools/snapshot +++ /dev/null | |||
@@ -1,69 +0,0 @@ | |||
1 | #! /bin/sh | ||
2 | |||
3 | # This scipt assumes that you have anonCVS for nagios and nagiosplug | ||
4 | # in ${IN} | ||
5 | |||
6 | # cvs -d:pserver:anonymous@cvs.nagiosplug.sourceforge.net:/cvsroot/nagiosplug login | ||
7 | # cvs -z3 -d:pserver:anonymous@cvs.nagiosplug.sourceforge.net:/cvsroot/nagiosplug co nagiosplug | ||
8 | # | ||
9 | # cvs -d:pserver:anonymous@cvs.nagios.sourceforge.net:/cvsroot/nagios login | ||
10 | # cvs -z3 -d:pserver:anonymous@cvs.nagios.sourceforge.net:/cvsroot/nagios co nagios | ||
11 | |||
12 | # Set directories | ||
13 | IN=${HOME}/sf | ||
14 | OUT=/col/htdocs/src/nagios | ||
15 | RPM_TOPDIR=${HOME}/redhat | ||
16 | |||
17 | # Update nagiosplug CVS | ||
18 | cd ${IN}/nagiosplug | ||
19 | rm configure configure.in Makefile.in | ||
20 | cvs update | ||
21 | DS=`date -u +%Y%m%d%H%M` | ||
22 | sed "s/^VER=.*/VER=${DS}/;s/^REL=.*/REL=snapshot/" configure.in > configure.tmp | ||
23 | mv configure.tmp configure.in | ||
24 | aclocal | ||
25 | autoheader | ||
26 | autoconf | ||
27 | automake | ||
28 | autoreconf | ||
29 | |||
30 | # Make the Nagiosplug dist tarball | ||
31 | rm -r build-dist | ||
32 | mkdir build-dist | ||
33 | cd build-dist | ||
34 | ../configure | ||
35 | make dist | ||
36 | cp -fv *.gz ${OUT} | ||
37 | |||
38 | # Make the Nagiosplug custom RPM | ||
39 | echo "%_topdir ${RPM_TOPDIR}" > ./.rpmrc | ||
40 | mkdir -p ${RPM_TOPDIR}/RPMS/i386 ${RPM_TOPDIR}/SRPMS ${RPM_TOPDIR}/SOURCES ${RPM_TOPDIR}/BUILD ${RPM_TOPDIR}/SPECS | ||
41 | rpm --rcfile "/usr/lib/rpm/rpmrc:${IN}/rpmrc" --define 'custom 1' -ta *.gz | ||
42 | cp -fv ~/redhat/RPMS/i386/nagios-plugins-custom-*.i386.rpm /col/htdocs/src/nagios | ||
43 | |||
44 | # Copy the new snapshot and delete the old ones | ||
45 | cd ${OUT} | ||
46 | GLOBIGNORE=nagios-plugins-${DS}-snapshot.tar.gz | ||
47 | rm -f nagios-plugins-*.tar.gz | ||
48 | GLOBIGNORE=nagios-plugins-custom-${DS}-snapshot.i386.rpm | ||
49 | rm -f nagios-plugins-custom-*-snapshot.i386.rpm | ||
50 | cd ~/redhat/SRPMS | ||
51 | rm nagios-plugins-custom-${DS}-snapshot.src.rpm | ||
52 | cd ~/redhat/RPMS/i386 | ||
53 | rm nagios-plugins-custom-${DS}-snapshot.i386.rpm | ||
54 | |||
55 | # Update Nagios CVS | ||
56 | cd ${IN}/sf/nagios | ||
57 | rm configure configure.in nagios.spec base/nagios.c common/common.h \ | ||
58 | html/main.html Makefile.in | ||
59 | cvs update | ||
60 | |||
61 | # Make the Nagios tarball | ||
62 | DS=`date -u +%Y%m%d%H%M` | ||
63 | ./make-tarball ${DS} | ||
64 | |||
65 | # Copy the new snapshot and delete the old ones | ||
66 | mv ../nagios-${DS}.tar.gz /col/htdocs/src/nagios/ | ||
67 | GLOBIGNORE=${OUT}/nagios-${DS}.tar.gz | ||
68 | rm ${OUT}/nagios-20*.tar.gz | ||
69 | |||